<div>
  <table>
  <tr><td>Enter Id</td><td><input type="text" [(ngModel)]="id1" name="id"/>
    </td></tr>
    <tr><td>Enter Name</td><td><input type="text" [(ngModel)]="name1" name="name"/>
    </td></tr>
    <tr><td colspan="2">
    <button type="button" (click)="addUser(id1,name1)">Add</button>
	</td></tr>
  </table>
</div>
<div>
<h3>User Details</h3>
<table style="border:double;">
  <tr style="border:double;"><th> Id</th> <th>Name</th><th></th><th></th></tr>
  <tr style="border:double;" *ngFor="let user of Users">
    <td>{{user.id}}</td> <td>{{user.name}}</td>
	<td><button type="button" (click)="loadUserToEdit(user.id,user.name)">Edit</button> </td> 
	<td><button type="button" (click)="deleteUser(user.id)">Delete</button></td>
  </tr>
</table> 
</div>